Index: classes/DelphesClasses.h
===================================================================
--- classes/DelphesClasses.h	(revision 151255d0f9cb4a68b5448a546c75c7ce53fc2abd)
+++ classes/DelphesClasses.h	(revision e0a1a44c304531a48333eeeba58da5ec42776fa6)
@@ -147,12 +147,14 @@
   Float_t Pz; // particle momentum vector (z component) | hepevt.phep[number][2]
 
+  Float_t P; // particle momentum
+  Float_t PT; // particle transverse momentum
+  Float_t Eta; // particle pseudorapidity
+  Float_t Phi; // particle azimuthal angle
+
+  Float_t Rapidity; // particle rapidity
+  Float_t CtgTheta; // particle cotangent of theta
+
   Float_t D0; // particle transverse impact parameter
   Float_t DZ; // particle longitudinal impact parameter
-  Float_t P; // particle momentum
-  Float_t PT; // particle transverse momentum
-  Float_t CtgTheta; // particle cotangent of theta
-  Float_t Phi; // particle azimuthal angle
-  Float_t Eta; // particle pseudorapidity
-  Float_t Rapidity; // particle rapidity
 
   Float_t T; // particle vertex position (t component) | hepevt.vhep[number][3]
@@ -166,5 +168,5 @@
   TLorentzVector P4() const;
 
-  ClassDef(GenParticle, 1)
+  ClassDef(GenParticle, 2)
 };
 
@@ -175,21 +177,23 @@
 public:
 
+  Float_t T; // vertex position (t component)
   Float_t X; // vertex position (x component)
   Float_t Y; // vertex position (y component)
   Float_t Z; // vertex position (z component)
-  Float_t T; // vertex position (t component)
-
+
+  Double_t ErrorT; // vertex position error (t component)
   Double_t ErrorX; // vertex position error (x component)
   Double_t ErrorY; // vertex position error (y component)
   Double_t ErrorZ; // vertex position error (z component)
-  Double_t ErrorT; // vertex position error (t component)
 
   Int_t Index; // vertex index
   Int_t NDF; // number of degrees of freedom
-  Double_t Sigma;
-  Double_t SumPT2;
-  Double_t BTVSumPT2;
-  Double_t GenDeltaZ;
-  Double_t GenSumPT2;
+
+  Double_t Sigma; // vertex position (z component) error
+  Double_t SumPT2; // sum pt^2 of tracks attached to the vertex
+  Double_t GenSumPT2; // sum pt^2 of gen tracks attached to the vertex
+
+  Double_t GenDeltaZ; // distance in z to closest generated vertex
+  Double_t BTVSumPT2; // sum pt^2 of tracks attached to the secondary vertex
 
   TRefArray Constituents; // references to constituents
@@ -413,39 +417,22 @@
   Int_t Charge; // track charge
 
+  Float_t P; // track momentum
+  Float_t PT; // track transverse momentum
   Float_t Eta; // track pseudorapidity
+  Float_t Phi; // track azimuthal angle
+  Float_t CtgTheta; // track cotangent of theta
 
   Float_t EtaOuter; // track pseudorapidity at the tracker edge
   Float_t PhiOuter; // track azimuthal angle at the tracker edge
 
+  Float_t T; // track vertex position (t component)
   Float_t X; // track vertex position (x component)
   Float_t Y; // track vertex position (y component)
   Float_t Z; // track vertex position (z component)
-  Float_t T; // track vertex position (t component)
-
+
+  Float_t TOuter; // track position (t component) at the tracker edge
   Float_t XOuter; // track position (x component) at the tracker edge
   Float_t YOuter; // track position (y component) at the tracker edge
   Float_t ZOuter; // track position (z component) at the tracker edge
-  Float_t TOuter; // track position (t component) at the tracker edge
-
-  Float_t L; // track path length
-  Float_t ErrorT; // time measurement error
-
-  Float_t D0; // track transverse impact parameter
-  Float_t ErrorD0; // track transverse impact parameter error
-
-  Float_t DZ; // track longitudinal impact parameter
-  Float_t ErrorDZ; // track longitudinal impact parameter error
-
-  Float_t P; // track momentum
-  Float_t ErrorP; // track momentum error
-
-  Float_t PT; // track transverse momentum
-  Float_t ErrorPT; // track transverse momentum error
-
-  Float_t CtgTheta; // track cotangent of theta
-  Float_t ErrorCtgTheta; // track cotangent of theta error
-
-  Float_t Phi; // track azimuthal angle
-  Float_t ErrorPhi; // track azimuthal angle error
 
   Float_t Xd; // X coordinate of point of closest approach to vertex
@@ -453,4 +440,17 @@
   Float_t Zd; // Z coordinate of point of closest approach to vertex
 
+  Float_t L; // track path length
+  Float_t D0; // track transverse impact parameter
+  Float_t DZ; // track longitudinal impact parameter
+
+  Float_t ErrorP; // track momentum error
+  Float_t ErrorPT; // track transverse momentum error
+  Float_t ErrorPhi; // track azimuthal angle error
+  Float_t ErrorCtgTheta; // track cotangent of theta error
+
+  Float_t ErrorT; // time measurement error
+  Float_t ErrorD0; // track transverse impact parameter error
+  Float_t ErrorDZ; // track longitudinal impact parameter error
+
   TRef Particle; // reference to generated particle
 
@@ -462,5 +462,5 @@
   TLorentzVector P4() const;
 
-  ClassDef(Track, 2)
+  ClassDef(Track, 3)
 };
 
